package br.gov.serpro.expresso.cte.common;

/**
 * Contem "atalhos" para as constantes usadas nos casos de teste.
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Feb 15, 2011 at 4:10:02 PM
 * 
 */
public interface Constants {
	public static final String URL = Config.getInstance().getConfig("url");
	public static final String URL_PREFERENCES = Config.getInstance()
			.getConfig("url.preferences");
	public static final String URL_PREFERENCES_EMAIL = Config.getInstance()
			.getConfig("url.preferences.email");
	public static final String USER = Config.getInstance().getConfig("user");
	public static final String PASS = Config.getInstance().getConfig("passwd");

	public static final String EMAIL_TESTE_1 = Config.getInstance().getValor(
			"email.teste.1");
	public static final String EMAIL_TESTE_2 = Config.getInstance().getValor(
			"email.teste.2");
	public static final String EMAIL_TESTE_N_DESTINATARIOS = Config
			.getInstance().getValor("email.teste.multiplos");
	public static final String EMAIL_INVALIDO = Config.getInstance().getValor(
			"email.invalido");
	public static final String EMAIL_ASSUNTO = Config.getInstance().getValor(
			"assunto");
	public static final String EMAIL_ASSUNTO_IMPORTANTE = Config.getInstance()
			.getValor("assunto.importante");
	public static final String EMAIL_ASSUNTO_SALVAR = Config.getInstance()
			.getValor("assunto.salvar");
	public static final String EMAIL_ASSUNTO_COPIA_OCULTA = Config
			.getInstance().getValor("assunto.copia.oculta");
	public static final String EMAIL_ASSUNTO_COPIA = Config.getInstance()
			.getValor("assunto.copia");
	public static final String EMAIL_ASSUNTO_SOMENTE_COPIA_OCULTA = Config
			.getInstance().getValor("assunto.somente.copia.oculta");
	public static final String EMAIL_ASSUNTO_SOMENTE_COPIA = Config
			.getInstance().getValor("assunto.somente.copia");
	public static final String EMAIL_ASSUNTO_ANEXO = Config.getInstance()
			.getValor("assunto.anexo");
	public static final String EMAIL_ASSUNTO_MULTIPLOS_ANEXOS = Config
			.getInstance().getValor("assunto.multiplos.anexos");
	public static final String EMAIL_ASSUNTO_MULTIPLOS_DESTINATARIOS = Config
			.getInstance().getValor("assunto.multiplos.destinatarios");
	public static final String EMAIL_ASSUNTO_LEITURA = Config.getInstance()
			.getValor("assunto.confirmacao.leitura");

	public static final String EMAIL_TEXTO = Config.getInstance().getValor(
			"texto.email");
	public static final String EMAIL_TEXTO_SEM_ASSUNTO = Config.getInstance()
			.getValor("texto.email.sem.assunto");
	public static final String EMAIL_TEXTO_IMPORTANTE = Config.getInstance()
			.getValor("texto.email.importante");
	public static final String EMAIL_TEXTO_SALVAR = Config.getInstance()
			.getValor("texto.email.salvo");
	public static final String EMAIL_TEXTO_COPIA_OCULTA = Config.getInstance()
			.getValor("texto.email.copia.oculta");
	public static final String EMAIL_TEXTO_COPIA = Config.getInstance()
			.getValor("texto.email.copia");
	public static final String EMAIL_TEXTO_SOMENTE_COPIA_OCULTA = Config
			.getInstance().getValor("texto.email.somente.copia.oculta");
	public static final String EMAIL_TEXTO_SOMENTE_COPIA = Config.getInstance()
			.getValor("texto.email.somente.copia");
	public static final String EMAIL_TEXTO_ANEXO = Config.getInstance()
			.getValor("texto.email.anexo");
	public static final String EMAIL_TEXTO_MULTIPLOS_ANEXOS = Config
			.getInstance().getValor("texto.email.multiplos.anexos");
	public static final String EMAIL_TEXTO_MULTIPLOS_DESTINATARIOS = Config
			.getInstance().getValor("texto.email.multiplos.destinatarios");
	public static final String EMAIL_TEXTO_LEITURA = Config.getInstance()
			.getValor("texto.email.confirmacao.leitura");
	public static final String EMAIL_PASTA_TESTE = Config.getInstance()
			.getValor("email.pasta.teste");
	public static final String ANEXO_1 = Config.getInstance().getValor(
			"anexo.1");
	public static final String ANEXO_2 = Config.getInstance().getValor(
			"anexo.2");

	public static final String MSG_EMAIL_ENVIADO = Config.getInstance()
			.getMensagem("email.enviado");
	public static final String MSG_EMAIL_RASCUNHO = Config.getInstance()
			.getMensagem("salva.rascunho");
	public static final String MSG_EMAIL_APAGAR_MENSAGEM = Config.getInstance()
			.getMensagem("apagar.uma.mensagem");
	public static final String MSG_EMAIL_APAGAR_MENSAGENS = Config
			.getInstance().getMensagem("apagar.mensagem");
	public static final String MSG_EMAIL_LIMPAR_LIXEIRA = Config.getInstance()
			.getMensagem("limpar.lixeira");
	public static final String MSG_EMAIL_LIXEIRA_LIMPA = Config.getInstance()
			.getMensagem("lixeira.limpa");
	public static final String MSG_EMAIL_DESTINATARIO_INVALIDO = Config
			.getInstance().getMensagem("destinatario.invalido");
	public static final String MSG_EMAIL_SEM_DESTINATARIO = Config
			.getInstance().getMensagem("sem.destinatario");
	public static final String MSG_EMAIL_IMPORTANTE = Config.getInstance()
			.getMensagem("marcar.importante");
	public static final String MSG_EMAIL_NORMAL = Config.getInstance()
			.getMensagem("marcar.normal");
	public static final String MSG_EMAIL_NAO_LIDO = Config.getInstance()
			.getMensagem("marcar.nao.lido");
	public static final String MSG_ENVIAR_SEM_ASSUNTO = Config.getInstance()
			.getMensagem("mensagem.sem.assunto");
	public static final String MSG_EMAIL_MOVIDO = Config.getInstance()
			.getMensagem("email.movido", EMAIL_PASTA_TESTE);
	public static final String MSG_EMAIL_PASTA_REMOVIDA = Config.getInstance()
			.getMensagem("pasta.removida", EMAIL_PASTA_TESTE);

}
