package br.gov.serpro.expresso.cte.email.compor;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-529:Enviar mensagem com anexo
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-529
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 5, 2011 at 2:53:31 PM
 * 
 */
public class EnviarEmailAnexoTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia mensagem para email, assunto, texto e anexo
	 * pre-definidos no arquivo de configuracao.
	 */
	@Test
	public void test() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_ANEXO, EMAIL_TEXTO_ANEXO);
		mp.addAttachment(ANEXO_1);
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
	}

}
