package br.gov.serpro.expresso.cte.email.compor;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-523:Enviar mensagem com solicitacao de leitura
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-527
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 5, 2011 at 2:52:47 PM
 * 
 */
public class EnviarEmailConfirmacaoLeituraTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia mensagem para email, assunto e texto pre-definidos
	 * no arquivo de configuracao com confirmacao de leitura.
	 */
	@Test
	public void test() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_LEITURA,
				EMAIL_TEXTO_LEITURA);
		mp.checkReturnReceipt();
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
	}

}
