package br.gov.serpro.expresso.cte.email.compor;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-534:Enviar mensagem com destinatario invalido
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-534
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 18, 2011 at 8:59:39 AM
 * 
 */
public class EnviarEmailDestinatarioInvalidoTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Tentativa de enviar mensagem para email invalido.
	 */
	@Test
	public void test() {
		mp.composeEmail(EMAIL_INVALIDO, EMAIL_ASSUNTO, EMAIL_TEXTO);
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_DESTINATARIO_INVALIDO);
		mp.closeMail();
	}
}
