package br.gov.serpro.expresso.cte.email.compor;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-528:Enviar mensagem importante
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-528
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 5, 2011 at 2:50:28 PM
 * 
 */
public class EnviarEmailImportanteTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia um email importante.
	 */
	@Test
	public void test() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_IMPORTANTE,
				EMAIL_TEXTO_IMPORTANTE);
		mp.checkImportantFlag();
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
	}

}
