package br.gov.serpro.expresso.cte.email.compor;

import org.openqa.selenium.By;
import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-539:Enviar mensagem salva a partir da pasta Rascunhos
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-539
 * 
 * @see br.gov.serpro.expresso.cte.email.compor.SalvarEmailTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Feb 3, 2011 at 9:23:16 AM
 * 
 */
public class EnviarEmailRascunhoTestCase extends BaseEmailTestCase {

	/**
	 * Esse caso de teste eh dependente do SalvarEmailTestCase
	 */
	@Test
	public void test() {
		mp.openFolder("lINBOX/Draftstree_folders");
		mp.waitForElement(By
				.xpath("//div[@id='divScrollMain_0']/table[@id='table_box']/tbody[@id='tbody_box']/tr[1]/td[1]/input[1]"));
		String id = mp.readEmail(EMAIL_ASSUNTO_SALVAR);
		mp.editEmail();
		mp.sendMail(id);
		mp.assertMessage(MSG_EMAIL_ENVIADO);
	}
}
