package br.gov.serpro.expresso.cte.email.listar;

import org.openqa.selenium.Alert;
import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.3] Listar Mensagem
 * 
 * Caso de Teste: EL-1102:Limpar lixeira
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1102
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 6, 2011 at 9:33:58 AM
 * 
 */
public class LimparLixeiraTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste.
	 */
	@Test
	public void test() {
		mp.cleanupTrash();
		// Alerta de confirmacao de limpeza da lixeira.
		Alert confirm = driver.switchTo().alert();
		assert MSG_EMAIL_LIMPAR_LIXEIRA.equals(confirm.getText());
		confirm.accept();
		mp.assertMessage(MSG_EMAIL_LIXEIRA_LIMPA);
	}
}
