package br.gov.serpro.expresso.cte.email.listar;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.3] Listar Mensagem
 * 
 * Caso de Teste: EL-583:Mover mensagem
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-583
 * 
 * @see br.gov.serpro.expresso.cte.email.pastas.CriarPastaTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 19, 2011 at 2:55:01 PM
 * 
 */
public class MoverEmailSelecionadoTestCase extends BaseEmailTestCase {

	/**
	 * Move mensagem para uma pasta de teste previamente criada.
	 */
	@Test
	public void testaMoverEmailSelecionado() {
		mp.findEmailIdBySuject(EMAIL_ASSUNTO, true);
		mp.moveEmail(EMAIL_PASTA_TESTE);
		mp.assertMessage(MSG_EMAIL_MOVIDO);
	}
}
