package br.gov.serpro.expresso.cte.email.responder;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.5] Responder Mensagem
 * 
 * Caso de Teste: EL-606:Responder mensagem sem historico
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-606
 * 
 * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 26, 2011 at 9:27:24 AM
 * 
 */
public class ResponderEmailSemHistoricoTestCase extends BaseEmailTestCase {

	/**
	 * Le e responde mensagem sem o historico.
	 */
	@Test
	public void test() {
		String id = mp.readEmail(EMAIL_ASSUNTO);
		mp.replyEmailWithoutHistory(id);
		mp.assertMessage(MSG_EMAIL_ENVIADO);
	}

}
