package br.gov.serpro.expresso.cte.pages.common;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Dec 13, 2010 at 9:30:42 AM
 * 
 */
public class LoginPage extends Page {

	@FindBy(name = "user")
	private WebElement username;

	@FindBy(name = "passwd")
	private WebElement password;

	/**
	 * @param driver
	 */
	public LoginPage(WebDriver driver) {
		super(driver);
	}

	/**
	 * @param username
	 * @param password
	 */
	public void login(String username, String password) {
		this.username.clear();
		this.username.sendKeys(username);
		this.password.sendKeys(password);
		this.username.submit();

	}

}
