package br.gov.serpro.expresso.cte.email.compor;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-526:Enviar mensagem com copia oculta
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-526

 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 5, 2011 at 9:55:14 AM
 * 
 */
public class EnviarEmailCopiaOcultaTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia mensagem para email, assunto e texto pre-definidos
	 * no arquivo de configuracao com copia oculta.
	 */
	@Test
	public void test() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_COPIA_OCULTA,
				EMAIL_TEXTO_COPIA_OCULTA);
		mp.setBlindCarbonCopy(EMAIL_TESTE_2);
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
	}

}
