package br.gov.serpro.expresso.cte.email.compor;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-530:Enviar mensagem com multiplos anexos
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-530

 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 18, 2011 at 9:02:46 AM
 * 
 */
public class EnviarEmailMultiplosAnexosTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia um email com multiplos anexos.
	 */
	@Test
	public void test() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_MULTIPLOS_ANEXOS,
				EMAIL_TEXTO_MULTIPLOS_ANEXOS);
		mp.addAttachment(ANEXO_1);
		mp.addAttachment2(ANEXO_2);
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
	}

}
