package br.gov.serpro.expresso.cte.email.compor;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-535:Enviar mensagem sem destinatario
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-535
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 5, 2011 at 2:49:15 PM
 * 
 */
public class EnviarEmailSemDestinatarioTestCase extends BaseEmailTestCase {

	/**
	 * Executa teste.
	 */
	@Test
	public void test() {
		mp.composeEmail("", EMAIL_ASSUNTO, EMAIL_TEXTO);
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_SEM_DESTINATARIO);
		mp.closeMail();
	}

}
