package br.gov.serpro.expresso.cte.email.compor;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-546:Salvar mensagem
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-546
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 5, 2011 at 2:48:43 PM
 * 
 */
public class SalvarEmailTestCase extends BaseEmailTestCase {

	/**
	 * Compoe uma mensagem e salva no rascunho para posterior envio.
	 */
	@Test
	public void test() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_SALVAR, EMAIL_TEXTO_SALVAR);
		mp.saveEmail();
		mp.assertMessage(MSG_EMAIL_RASCUNHO);
		mp.closeMail(false);
	}

}
