package br.gov.serpro.expresso.cte.email.ler;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.2] Ler Mensagem
 * 
 * Caso de Teste: EL-554:Apagar Mensagem sem Mensagem Anterior
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-554
 * 
 * @see br.gov.serpro.expresso.cte.email.ler.LerEmailTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 18, 2011 at 9:39:28 AM
 * 
 */
public class ApagarEmailAbertoTestCase extends BaseEmailTestCase {

	/**
	 * Apaga email previamente aberto.
	 */
	@Test
	public void test() {
		mp.readEmail(EMAIL_ASSUNTO);
		mp.deleteEmail();
		mp.assertMessage(MSG_EMAIL_APAGAR_MENSAGENS);
	}
}
