package br.gov.serpro.expresso.cte.email.ler;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.2] Ler Mensagem
 * 
 * Caso de Teste: EL-562:Marcar mensagem como nao lida
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-562
 * 
 * @see br.gov.serpro.expresso.cte.email.ler.LerEmailTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 18, 2011 at 12:02:55 PM
 * 
 */
public class MarcarEmailNaoLidoTestCase extends BaseEmailTestCase {

	/**
	 * Abre o email e marca o flag nao lido.
	 */
	@Test
	public void test() {
		mp.readEmail(EMAIL_ASSUNTO);
		mp.setNotReadFlag();
		mp.assertMessage(MSG_EMAIL_NAO_LIDO);
	}

}
