package br.gov.serpro.expresso.cte.email.pastas;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.6] Gerenciar Pastas
 * 
 * Caso de Teste: EL-614:Excluir pasta
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-614
 * 
 * @see br.gov.serpro.expresso.cte.email.pastas.CriarPastaTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 19, 2011 at 2:40:25 PM
 * 
 */
public class ApagarPastaTestCase extends BaseEmailTestCase {

	/**
	 * Exclui pasta padrao utilizada nos testes.
	 */
	@Test
	public void test() {
		mp.deleteFolder(EMAIL_PASTA_TESTE);
		mp.assertMessage(MSG_EMAIL_PASTA_REMOVIDA);
	}

}
