package br.gov.serpro.expresso.cte.email.responder;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.5] Responder Mensagem
 * 
 * Caso de Teste: EL-603:Responder mensagem ao remetente
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-603
 * 
 * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 26, 2011 at 9:22:08 AM
 * 
 */
public class ResponderEmailTestCase extends BaseEmailTestCase {

	/**
	 * Le email e responde ao remetente.
	 */
	@Test
	public void test() {
		String id = mp.readEmail(EMAIL_ASSUNTO);
		mp.replyEmail(id);
		mp.assertMessage(MSG_EMAIL_ENVIADO);
	}

}
