package br.gov.serpro.expresso.cte.email.responder;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.5] Responder Mensagem
 * 
 * Caso de Teste: EL-604:Responder a todos remetentes sem historico
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-604
 * 
 * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailMultiplosDestinatariosTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 26, 2011 at 9:27:24 AM
 * 
 */
public class ResponderTodosEmailSemHistoricoTestCase extends BaseEmailTestCase {

	/**
	 * Le e responde emails a todos sem historico.
	 */
	@Test
	public void test() {
		String id = mp.readEmail(EMAIL_ASSUNTO_MULTIPLOS_DESTINATARIOS);
		mp.replyAllEmailWithoutHistory(id);
		mp.assertMessage(MSG_EMAIL_ENVIADO);
	}

}
