package br.gov.serpro.expresso.cte.email.responder;

import org.testng.annotations.Test;

import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;

/**
 * Suite:[FUN02.5] Responder Mensagem
 * 
 * Caso de Teste: EL-605:Responder a todos remetentes
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-605
 * 
 * @see br.gov.serpro.expresso.cte.email.compor.EnviarEmailMultiplosDestinatariosTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 26, 2011 at 9:40:55 AM
 * 
 */
public class ResponderTodosEmailTestCase extends BaseEmailTestCase {

	/**
	 * Le email e responde a todos remetentes.
	 */
	@Test
	public void test() {
		String id = mp.readEmail(EMAIL_ASSUNTO_MULTIPLOS_DESTINATARIOS);
		mp.replyAllEmail(id);
		mp.assertMessage(MSG_EMAIL_ENVIADO);
	}

}