package br.gov.serpro.expresso.cte.pages.common;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Dec 16, 2010 at 9:43:15 AM
 * 
 */
public class HomePage extends Page {
	@FindBy(xpath = "//a/img[@id='expressoMail12id']")
	private WebElement mail;

	@FindBy(id = "calendarid")
	private WebElement calendar;

	/**
	 * @param driver
	 */
	public HomePage(WebDriver driver) {
		super(driver);
	}

	public void enterMail() {
		mail.click();
		waitForElement(By
				.xpath("//table[@id='folders_tbl']/tbody/tr[1]/td/table/tbody/tr[2]/td/div/span"));
	}

	public void enterCalendar() {
		calendar.click();
		waitForElement(By.id("divAppbox"));
	}
}
